OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.VertexProgram

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBVertexProgram :: MonadIO m => m Bool
- gl_ARB_vertex_program :: Bool
- pattern GL_COLOR_SUM_ARB :: GLenum
- pattern GL_CURRENT_MATRIX_ARB :: GLenum
- pattern GL_CURRENT_MATRIX_STACK_DEPTH_ARB :: GLenum
- pattern GL_CURRENT_VERTEX_ATTRIB_ARB :: GLenum
- pattern GL_MATRIX0_ARB :: GLenum
- pattern GL_MATRIX10_ARB :: GLenum
- pattern GL_MATRIX11_ARB :: GLenum
- pattern GL_MATRIX12_ARB :: GLenum
- pattern GL_MATRIX13_ARB :: GLenum
- pattern GL_MATRIX14_ARB :: GLenum
- pattern GL_MATRIX15_ARB :: GLenum
- pattern GL_MATRIX16_ARB :: GLenum
- pattern GL_MATRIX17_ARB :: GLenum
- pattern GL_MATRIX18_ARB :: GLenum
- pattern GL_MATRIX19_ARB :: GLenum
- pattern GL_MATRIX1_ARB :: GLenum
- pattern GL_MATRIX20_ARB :: GLenum
- pattern GL_MATRIX21_ARB :: GLenum
- pattern GL_MATRIX22_ARB :: GLenum
- pattern GL_MATRIX23_ARB :: GLenum
- pattern GL_MATRIX24_ARB :: GLenum
- pattern GL_MATRIX25_ARB :: GLenum
- pattern GL_MATRIX26_ARB :: GLenum
- pattern GL_MATRIX27_ARB :: GLenum
- pattern GL_MATRIX28_ARB :: GLenum
- pattern GL_MATRIX29_ARB :: GLenum
- pattern GL_MATRIX2_ARB :: GLenum
- pattern GL_MATRIX30_ARB :: GLenum
- pattern GL_MATRIX31_ARB :: GLenum
- pattern GL_MATRIX3_ARB :: GLenum
- pattern GL_MATRIX4_ARB :: GLenum
- pattern GL_MATRIX5_ARB :: GLenum
- pattern GL_MATRIX6_ARB :: GLenum
- pattern GL_MATRIX7_ARB :: GLenum
- pattern GL_MATRIX8_ARB :: GLenum
- pattern GL_MATRIX9_ARB :: GLenum
- pattern GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_ATTRIBS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_ENV_PARAMETERS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_INSTRUCTIONS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_MATRICES_ARB :: GLenum
- pattern GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB :: GLenum
- pattern GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB :: GLenum
- pattern GL_MAX_PROGRAM_PARAMETERS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_TEMPORARIES_ARB :: GLenum
- pattern GL_MAX_VERTEX_ATTRIBS_ARB :: GLenum
- pattern GL_PROGRAM_ADDRESS_REGISTERS_ARB :: GLenum
- pattern GL_PROGRAM_ATTRIBS_ARB :: GLenum
- pattern GL_PROGRAM_BINDING_ARB :: GLenum
- pattern GL_PROGRAM_ERROR_POSITION_ARB :: GLenum
- pattern GL_PROGRAM_ERROR_STRING_ARB :: GLenum
- pattern GL_PROGRAM_FORMAT_ARB :: GLenum
- pattern GL_PROGRAM_FORMAT_ASCII_ARB :: GLenum
- pattern GL_PROGRAM_INSTRUCTIONS_ARB :: GLenum
- pattern GL_PROGRAM_LENGTH_ARB :: GLenum
- pattern GL_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB :: GLenum
- pattern GL_PROGRAM_NATIVE_ATTRIBS_ARB :: GLenum
- pattern GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB :: GLenum
- pattern GL_PROGRAM_NATIVE_PARAMETERS_ARB :: GLenum
- pattern GL_PROGRAM_NATIVE_TEMPORARIES_ARB :: GLenum
- pattern GL_PROGRAM_PARAMETERS_ARB :: GLenum
- pattern GL_PROGRAM_STRING_ARB :: GLenum
- pattern GL_PROGRAM_TEMPORARIES_ARB :: GLenum
- pattern GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB :: GLenum
- pattern GL_TRANSPOSE_CURRENT_MATRIX_ARB :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB :: GLenum
- pattern GL_VERTEX_PROGRAM_ARB :: GLenum
- pattern GL_VERTEX_PROGRAM_POINT_SIZE_ARB :: GLenum
- pattern GL_VERTEX_PROGRAM_TWO_SIDE_ARB :: GLenum
- glBindProgramARB :: MonadIO m => GLenum -> GLuint -> m ()
- glDeleteProgramsARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDisableVertexAttribArrayARB :: MonadIO m => GLuint -> m ()
- glEnableVertexAttribArrayARB :: MonadIO m => GLuint -> m ()
- glGenProgramsARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetProgramEnvParameterdvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glGetProgramEnvParameterfvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glGetProgramLocalParameterdvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glGetProgramLocalParameterfvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glGetProgramStringARB :: MonadIO m => GLenum -> GLenum -> Ptr a -> m ()
- glGetProgramivARB :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetVertexAttribPointervARB :: MonadIO m => GLuint -> GLenum -> Ptr (Ptr a) -> m ()
- glGetVertexAttribdvARB :: MonadIO m => GLuint -> GLenum -> Ptr GLdouble -> m ()
- glGetVertexAttribfvARB :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetVertexAttribivARB :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glIsProgramARB :: MonadIO m => GLuint -> m GLboolean
- glProgramEnvParameter4dARB :: MonadIO m => GLenum -> GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramEnvParameter4dvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glProgramEnvParameter4fARB :: MonadIO m => GLenum -> GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramEnvParameter4fvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glProgramLocalParameter4dARB :: MonadIO m => GLenum -> GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramLocalParameter4dvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glProgramLocalParameter4fARB :: MonadIO m => GLenum -> GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramLocalParameter4fvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glProgramStringARB :: MonadIO m => GLenum -> GLenum -> GLsizei -> Ptr a -> m ()
- glVertexAttrib1dARB :: MonadIO m => GLuint -> GLdouble -> m ()
- glVertexAttrib1dvARB :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib1fARB :: MonadIO m => GLuint -> GLfloat -> m ()
- glVertexAttrib1fvARB :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib1sARB :: MonadIO m => GLuint -> GLshort -> m ()
- glVertexAttrib1svARB :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib2dARB :: MonadIO m => GLuint -> GLdouble -> GLdouble -> m ()
- glVertexAttrib2dvARB :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib2fARB :: MonadIO m => GLuint -> GLfloat -> GLfloat -> m ()
- glVertexAttrib2fvARB :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib2sARB :: MonadIO m => GLuint -> GLshort -> GLshort -> m ()
- glVertexAttrib2svARB :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib3dARB :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttrib3dvARB :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib3fARB :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertexAttrib3fvARB :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib3sARB :: MonadIO m => GLuint -> GLshort -> GLshort -> GLshort -> m ()
- glVertexAttrib3svARB :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4NbvARB :: MonadIO m => GLuint -> Ptr GLbyte -> m ()
- glVertexAttrib4NivARB :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttrib4NsvARB :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4NubARB :: MonadIO m => GLuint -> GLubyte -> GLubyte -> GLubyte -> GLubyte -> m ()
- glVertexAttrib4NubvARB :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glVertexAttrib4NuivARB :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttrib4NusvARB :: MonadIO m => GLuint -> Ptr GLushort -> m ()
- glVertexAttrib4bvARB :: MonadIO m => GLuint -> Ptr GLbyte -> m ()
- glVertexAttrib4dARB :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttrib4dvARB :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib4fARB :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertexAttrib4fvARB :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib4ivARB :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttrib4sARB :: MonadIO m => GLuint -> GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glVertexAttrib4svARB :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4ubvARB :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glVertexAttrib4uivARB :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttrib4usvARB :: MonadIO m => GLuint -> Ptr GLushort -> m ()
- glVertexAttribPointerARB :: MonadIO m => GLuint -> GLint -> GLenum -> GLboolean -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetARBVertexProgram :: MonadIO m => m Bool Source #

Is the ARB_vertex_program extension supported?

gl_ARB_vertex_program :: Bool Source #

Is the ARB_vertex_program extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBVertexProgram` in those cases instead.

# Enums

pattern GL_COLOR_SUM_ARB :: GLenum Source #

pattern GL_CURRENT_MATRIX_ARB :: GLenum Source #

pattern GL_CURRENT_MATRIX_STACK_DEPTH_ARB :: GLenum Source #

pattern GL_CURRENT_VERTEX_ATTRIB_ARB :: GLenum Source #

pattern GL_MATRIX0_ARB :: GLenum Source #

pattern GL_MATRIX10_ARB :: GLenum Source #

pattern GL_MATRIX11_ARB :: GLenum Source #

pattern GL_MATRIX12_ARB :: GLenum Source #

pattern GL_MATRIX13_ARB :: GLenum Source #

pattern GL_MATRIX14_ARB :: GLenum Source #

pattern GL_MATRIX15_ARB :: GLenum Source #

pattern GL_MATRIX16_ARB :: GLenum Source #

pattern GL_MATRIX17_ARB :: GLenum Source #

pattern GL_MATRIX18_ARB :: GLenum Source #

pattern GL_MATRIX19_ARB :: GLenum Source #

pattern GL_MATRIX1_ARB :: GLenum Source #

pattern GL_MATRIX20_ARB :: GLenum Source #

pattern GL_MATRIX21_ARB :: GLenum Source #

pattern GL_MATRIX22_ARB :: GLenum Source #

pattern GL_MATRIX23_ARB :: GLenum Source #

pattern GL_MATRIX24_ARB :: GLenum Source #

pattern GL_MATRIX25_ARB :: GLenum Source #

pattern GL_MATRIX26_ARB :: GLenum Source #

pattern GL_MATRIX27_ARB :: GLenum Source #

pattern GL_MATRIX28_ARB :: GLenum Source #

pattern GL_MATRIX29_ARB :: GLenum Source #

pattern GL_MATRIX2_ARB :: GLenum Source #

pattern GL_MATRIX30_ARB :: GLenum Source #

pattern GL_MATRIX31_ARB :: GLenum Source #

pattern GL_MATRIX3_ARB :: GLenum Source #

pattern GL_MATRIX4_ARB :: GLenum Source #

pattern GL_MATRIX5_ARB :: GLenum Source #

pattern GL_MATRIX6_ARB :: GLenum Source #

pattern GL_MATRIX7_ARB :: GLenum Source #

pattern GL_MATRIX8_ARB :: GLenum Source #

pattern GL_MATRIX9_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_ATTRIBS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_ENV_PARAMETERS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_MATRICES_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_PARAMETERS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_TEMPORARIES_ARB :: GLenum Source #

pattern GL_MAX_VERTEX_ATTRIBS_ARB :: GLenum Source #

pattern GL_PROGRAM_ADDRESS_REGISTERS_ARB :: GLenum Source #

pattern GL_PROGRAM_ATTRIBS_ARB :: GLenum Source #

pattern GL_PROGRAM_BINDING_ARB :: GLenum Source #

pattern GL_PROGRAM_ERROR_POSITION_ARB :: GLenum Source #

pattern GL_PROGRAM_ERROR_STRING_ARB :: GLenum Source #

pattern GL_PROGRAM_FORMAT_ARB :: GLenum Source #

pattern GL_PROGRAM_FORMAT_ASCII_ARB :: GLenum Source #

pattern GL_PROGRAM_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_PROGRAM_LENGTH_ARB :: GLenum Source #

pattern GL_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB :: GLenum Source #

pattern GL_PROGRAM_NATIVE_ATTRIBS_ARB :: GLenum Source #

pattern GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_PROGRAM_NATIVE_PARAMETERS_ARB :: GLenum Source #

pattern GL_PROGRAM_NATIVE_TEMPORARIES_ARB :: GLenum Source #

pattern GL_PROGRAM_PARAMETERS_ARB :: GLenum Source #

pattern GL_PROGRAM_STRING_ARB :: GLenum Source #

pattern GL_PROGRAM_TEMPORARIES_ARB :: GLenum Source #

pattern GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB :: GLenum Source #

pattern GL_TRANSPOSE_CURRENT_MATRIX_ARB :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB :: GLenum Source #

pattern GL_VERTEX_PROGRAM_ARB :: GLenum Source #

pattern GL_VERTEX_PROGRAM_POINT_SIZE_ARB :: GLenum Source #

pattern GL_VERTEX_PROGRAM_TWO_SIDE_ARB :: GLenum Source #

# Functions

glBindProgramARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `program`.
-> m () |

glDeleteProgramsARB Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `programs` pointing to `n` elements of type `GLuint`.
-> m () |

glDisableVertexAttribArrayARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> m () |

This command is an alias for `glDisableVertexAttribArray`.

glEnableVertexAttribArrayARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> m () |

This command is an alias for `glEnableVertexAttribArray`.

glGenProgramsARB Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `programs` pointing to `n` elements of type `GLuint`.
-> m () |

glGetProgramEnvParameterdvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glGetProgramEnvParameterfvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glGetProgramLocalParameterdvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glGetProgramLocalParameterfvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glGetProgramStringARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLenum | `pname` of type ProgramStringProperty.
-> Ptr a | `string` pointing to `COMPSIZE(target,pname)` elements of type `a`.
-> m () |

glGetProgramivARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLenum | `pname` of type ProgramPropertyARB.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

glGetVertexAttribPointervARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribPointerPropertyARB.
-> Ptr (Ptr a) | `pointer` pointing to `1` element of type `Ptr a`.
-> m () |

This command is an alias for `glGetVertexAttribPointerv`.

glGetVertexAttribdvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribPropertyARB.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

This command is an alias for `glGetVertexAttribdv`.

glGetVertexAttribfvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribPropertyARB.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

This command is an alias for `glGetVertexAttribfv`.

glGetVertexAttribivARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribPropertyARB.
-> Ptr GLint | `params` pointing to `4` elements of type `GLint`.
-> m () |

This command is an alias for `glGetVertexAttribiv`.

glIsProgramARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m GLboolean | of type Boolean.

glProgramEnvParameter4dARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

The vector equivalent of this command is `glProgramEnvParameter4dvARB`.

glProgramEnvParameter4dvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glProgramEnvParameter4fARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

The vector equivalent of this command is `glProgramEnvParameter4fvARB`.

glProgramEnvParameter4fvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glProgramLocalParameter4dARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

The vector equivalent of this command is `glProgramLocalParameter4dvARB`.

glProgramLocalParameter4dvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glProgramLocalParameter4fARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

The vector equivalent of this command is `glProgramLocalParameter4fvARB`.

glProgramLocalParameter4fvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glProgramStringARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLenum | `format` of type ProgramFormat.
-> GLsizei | `len`.
-> Ptr a | `string` pointing to `len` elements of type `a`.
-> m () |

glVertexAttrib1dARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> m () |

The vector equivalent of this command is `glVertexAttrib1dvARB`. This command is an alias for `glVertexAttrib1d`.

glVertexAttrib1dvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `1` element of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttrib1dv`.

glVertexAttrib1fARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> m () |

The vector equivalent of this command is `glVertexAttrib1fvARB`. This command is an alias for `glVertexAttrib1f`.

glVertexAttrib1fvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `1` element of type `GLfloat`.
-> m () |

This command is an alias for `glVertexAttrib1fv`.

glVertexAttrib1sARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> m () |

The vector equivalent of this command is `glVertexAttrib1svARB`. This command is an alias for `glVertexAttrib1s`.

glVertexAttrib1svARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `1` element of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib1sv`.

glVertexAttrib2dARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> m () |

The vector equivalent of this command is `glVertexAttrib2dvARB`. This command is an alias for `glVertexAttrib2d`.

glVertexAttrib2dvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `2` elements of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttrib2dv`.

glVertexAttrib2fARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> m () |

The vector equivalent of this command is `glVertexAttrib2fvARB`. This command is an alias for `glVertexAttrib2f`.

glVertexAttrib2fvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `2` elements of type `GLfloat`.
-> m () |

This command is an alias for `glVertexAttrib2fv`.

glVertexAttrib2sARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> m () |

The vector equivalent of this command is `glVertexAttrib2svARB`. This command is an alias for `glVertexAttrib2s`.

glVertexAttrib2svARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `2` elements of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib2sv`.

glVertexAttrib3dARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

The vector equivalent of this command is `glVertexAttrib3dvARB`. This command is an alias for `glVertexAttrib3d`.

glVertexAttrib3dvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `3` elements of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttrib3dv`.

glVertexAttrib3fARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

The vector equivalent of this command is `glVertexAttrib3fvARB`. This command is an alias for `glVertexAttrib3f`.

glVertexAttrib3fvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

This command is an alias for `glVertexAttrib3fv`.

glVertexAttrib3sARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> GLshort | `z`.
-> m () |

The vector equivalent of this command is `glVertexAttrib3svARB`. This command is an alias for `glVertexAttrib3s`.

glVertexAttrib3svARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `3` elements of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib3sv`.

glVertexAttrib4NbvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLbyte | `v` pointing to `4` elements of type `GLbyte`.
-> m () |

This command is an alias for `glVertexAttrib4Nbv`.

glVertexAttrib4NivARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `4` elements of type `GLint`.
-> m () |

This command is an alias for `glVertexAttrib4Niv`.

glVertexAttrib4NsvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `4` elements of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib4Nsv`.

glVertexAttrib4NubARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLubyte | `x`.
-> GLubyte | `y`.
-> GLubyte | `z`.
-> GLubyte | `w`.
-> m () |

This command is an alias for `glVertexAttrib4Nub`.

glVertexAttrib4NubvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLubyte | `v` pointing to `4` elements of type `GLubyte`.
-> m () |

This command is an alias for `glVertexAttrib4Nubv`.

glVertexAttrib4NuivARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `4` elements of type `GLuint`.
-> m () |

This command is an alias for `glVertexAttrib4Nuiv`.

glVertexAttrib4NusvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLushort | `v` pointing to `4` elements of type `GLushort`.
-> m () |

This command is an alias for `glVertexAttrib4Nusv`.

glVertexAttrib4bvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLbyte | `v` pointing to `4` elements of type `GLbyte`.
-> m () |

This command is an alias for `glVertexAttrib4bv`.

glVertexAttrib4dARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

The vector equivalent of this command is `glVertexAttrib4dvARB`. This command is an alias for `glVertexAttrib4d`.

glVertexAttrib4dvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `4` elements of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttrib4dv`.

glVertexAttrib4fARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

The vector equivalent of this command is `glVertexAttrib4fvARB`. This command is an alias for `glVertexAttrib4f`.

glVertexAttrib4fvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `4` elements of type `GLfloat`.
-> m () |

This command is an alias for `glVertexAttrib4fv`.

glVertexAttrib4ivARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `4` elements of type `GLint`.
-> m () |

This command is an alias for `glVertexAttrib4iv`.

glVertexAttrib4sARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> GLshort | `z`.
-> GLshort | `w`.
-> m () |

The vector equivalent of this command is `glVertexAttrib4svARB`. This command is an alias for `glVertexAttrib4s`.

glVertexAttrib4svARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `4` elements of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib4sv`.

glVertexAttrib4ubvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLubyte | `v` pointing to `4` elements of type `GLubyte`.
-> m () |

This command is an alias for `glVertexAttrib4ubv`.

glVertexAttrib4uivARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `4` elements of type `GLuint`.
-> m () |

This command is an alias for `glVertexAttrib4uiv`.

glVertexAttrib4usvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLushort | `v` pointing to `4` elements of type `GLushort`.
-> m () |

This command is an alias for `glVertexAttrib4usv`.

glVertexAttribPointerARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLboolean | `normalized` of type Boolean.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

This command is an alias for `glVertexAttribPointer`.